// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ReadingMessageInfoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ReadingMessageInfo)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.MessageInfo messageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the messageInfo field is set.
   */
  boolean hasMessageInfo();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.MessageInfo messageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The messageInfo.
   */
  openfmb.commonmodule.MessageInfo getMessageInfo();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.MessageInfo messageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.MessageInfoOrBuilder getMessageInfoOrBuilder();
}
